require './tpty'

num = 10
pty = TPty::new do |s,|
  fork do
    num.times do |i|
      s.puts i
    end
  end
end
begin
  c = 0
  loop do
    r = pty.master.gets.chomp.to_i
    if r != c then
      raise "unexpected data: #{r} != #{c}"
    end
    c += 1
  end
rescue Errno::EIO
  if c != num then
    raise
  end
end
puts "ok"

